/*** ESSENTIAL STYLES ***/
.sf-menu, .sf-menu * {
	margin: 0;
	padding: 0;
	list-style: none;
}
.sf-menu li {
	position: relative;
}
.sf-menu ul {
	position: absolute;
	display: none;
	top: 100%;
	left: 0;
	z-index: 99;
}
.sf-menu > li {
	float: left;
}
.sf-menu li:hover > ul,
.sf-menu li.sfHover > ul {
	display: block;
}

.sf-menu a {
	display: block;
	position: relative;
}
.sf-menu ul ul {
	top: 0;
	left: 100%;
}


/*** DEMO SKIN ***/
.sf-menu {
	float: left;
}
.sf-menu ul {
	box-shadow: 2px 2px 6px rgba(0,0,0,.2);
	min-width: 12em; /* allow long menu items to determine submenu width */
	*width: 12em; /* no auto sub width for IE7, see white-space comment below */
}
.sf-menu a {
	border-left: 1px solid #fff;
	border-top: 1px solid #333; /* fallback colour must use full shorthand */
	border-top: 1px solid rgba(0,0,0,0.1);
	padding: .75em 1em;
	text-decoration: none;
	zoom: 1; /* IE7 */
}
.sf-menu a {}
.sf-menu li {
	-webkit-transition: background .2s;
	transition: background .2s;
}
.sf-menu ul li {}
.sf-menu ul ul li {}
.sf-menu li:hover,
.sf-menu li.sfHover {
	/* only transition out, not in */
	-webkit-transition: none;
	transition: none;
}

/*** arrows (for all except IE7) **/
.sf-arrows .sf-with-ul, .ulCat .sf-menu a {
	padding-right: 2.5em;
	*padding-right: 1em; /* no CSS arrows for IE7 (lack pseudo-elements) */
}
/* styling for both css and generated arrows */
/*.sf-arrows .sf-with-ul:after {
	content: '';
	position: absolute;
	top: 50%;
	right: 1em;
	margin-top: -3px;
	height: 0;
	width: 0;

	border: 5px solid transparent;
	border-top-color: #dFeEFF;
	border-top-color: rgba(255,255,255,.5);
}*/
/*.sf-arrows > li > .sf-with-ul:focus:after,
.sf-arrows > li:hover > .sf-with-ul:after,
.sf-arrows > .sfHover > .sf-with-ul:after {
	border-top-color: #fff;
}*/
/* styling for right-facing arrows */
/*.sf-arrows ul .sf-with-ul:after {
	margin-top: -5px;
	margin-right: -3px;
	border-color: transparent;
	border-left-color: #dFeEFF; 
	border-left-color: rgba(255,255,255,.5);
}
.sf-arrows ul li > .sf-with-ul:focus:after,
.sf-arrows ul li:hover > .sf-with-ul:after,
.sf-arrows ul .sfHover > .sf-with-ul:after {
	border-left-color: #fff; 
}*/

/* adding sf-vertical class in addition to sf-menu creates a vertical menu */
/* eg. <ul class="sf-menu sf-vertical"> ... */
.sf-vertical {
  width: 10em;
  /* If you want the width of the closed menu to expand to its
  widest top-level menu item (like its "Supersubs" submenus do),
  replace the width rule above with the following two rules. */

  /*
  min-width: 12em;
  *width: 12em;
  */
}
.sf-vertical ul {
	left:	100%;
	top: 0;
}
.sf-vertical > li {
  float: none;
}
.sf-vertical li {
  width: 100%;
}

/*** alter arrow directions ***/
.sf-vertical.sf-arrows > li > .sf-with-ul:after {
  margin-top: -5px;
  margin-right: -3px;
  border-color: transparent;
  border-left-color: #dFeEFF; /* edit this to suit design (no rgba in IE8) */
  border-left-color: rgba(255,255,255,.5); /* custom - arrow color top level boxes */
}
.sf-vertical.sf-arrows li > .sf-with-ul:focus:after,
.sf-vertical.sf-arrows li:hover > .sf-with-ul:after,
.sf-vertical.sf-arrows .sfHover > .sf-with-ul:after {
  border-left-color: #fff; /* custom - arrow color top and sub level boxes hover */
}

/* additional style for sf categories box only */
.ulCat .infoBoxContents {
  padding:0px;
  margin:0px;
}

.ulCat .sf-menu {
  line-height:1em;
}

.ulCat .sf-menu a  {
  border-left:none;
  border-top:1px solid;
  padding: .75em 1em; /* use this to set the height of menu (top level and sub) OK */
}

.ulCat li.ui-widget-content {
  border:none;
  margin-top:0px;
}

.ulCat ul:first-child {
  margin-top:-1px;
}

/* additional style for header menu only */

#headerMenu li.ui-widget-content {
  border:none;
  background-position:center -100px;
}

#headerMenu .sf-menu a { /* top menu level */
  border-left:none;
  border-top:	none;
  padding: 0px;
}

#headerMenu .sf-menu ul li { /* height of submenus */
  line-height:1em; 
  font-weight:normal;
  text-align:left;
}

#headerMenu .sf-menu ul li a { /* padding of submenus */
  padding: .75em 1em; /* custom setting use for height of menu OK */
  border-top:1px solid;
  border-left:none;
  color:inherit; /* custom setting */
}

#headerMenu .sf-menu ul {
	width:			100%; /* if no admin setting same as top menu */
}

#headerMenu .sf-menu ul{margin-left:2px;}

#headerMenu .sf-menu li:hover ul,
#headerMenu .sf-menu li.sfHover ul {
	left:			-1px;
	z-index:		1000;
}

#headerMenu ul.sf-menu li:hover li ul,
#headerMenu ul.sf-menu li.sfHover li ul {
	top:			-999em;
}
#headerMenu ul.sf-menu li li:hover ul,
#headerMenu ul.sf-menu li li.sfHover ul {
	left: 100%; /* if no admin setting same as top menu */
	top:			0;
}
#headerMenu ul.sf-menu li li:hover li ul,
#headerMenu ul.sf-menu li li.sfHover li ul {
	top:			-999em;
}
#headerMenu ul.sf-menu li li li:hover ul,
#headerMenu ul.sf-menu li li li.sfHover ul {
	left: 100%; /* if no admin setting same as top menu */
	top:			0;
}

#headerMenu .sf-menu ul .sf-sub-indicator{top:1.05em;visibility:visible;} /* IE6 for sub menus according to sub menu height of 1em and padding .75em */
#headerMenu .sf-menu ul a > .sf-sub-indicator{top:.8em;visibility:visible;} /* for sub menus according to sub menu height of 1em and padding .75 em */

#headerMenu .sf-menu ul a > .sf-sub-indicator{xtop:40%;} /* for sub menus according to sub menu height NOT TO TRUST */


